Package org.apache.ignite.internal.managers.deployment

## Class P2PClassNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.ReflectiveOperationException
      - - java.lang.ClassNotFoundException
        - - org.apache.ignite.internal.managers.deployment.P2PClassNotFoundException

All Implemented Interfaces:
  `Serializable`

    public class P2PClassNotFoundException
    extends ClassNotFoundException

A specialication of `ClassNotFoundException` thrown when a class cannot be loaded during P2P class-loading. The idea is to distinguish P2P class loading issues (which are usually non-critical) from the rest class loading issues (which are critical).

See Also:
  Serialized Form

### Constructor Summary

Constructors
`P2PClassNotFoundException​(String message)`
`P2PClassNotFoundException​(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.ClassNotFoundException

`getCause, getException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### P2PClassNotFoundException

    public P2PClassNotFoundException​(String message)

#### P2PClassNotFoundException

    public P2PClassNotFoundException​(String message,
                                     Throwable cause)